Skip to main content
`Ctrl`+`K`

# DMTSGetRHSFunction

get `TS` explicit residual evaluation function from a `DMTS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetRHSFunction(DM dm, TSRHSFunctionFn **func, PetscCtxRt ctx)

Not Collective

## Input Parameter

- dm - `DM` to be used with `TS`

## Output Parameters

- func - residual evaluation function, for calling sequence see `TSRHSFunctionFn`

- ctx - context for residual evaluation

## Note

`TSGetRHSFunction()` is normally used, but it calls this function internally because the user context is actually associated with the DM.

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `DM`, `TS`, `TSRHSFunctionFn`, `TSGetRHSFunction()`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages